---
title: "Get wallets"
description: "Retrieve a paginated list of wallets, with optional filtering by customer and blockchain network."
protocol: rest
method: GET
endpoint: "/v1/wallets"
baseUrl: "https://api.gravv.xyz"
group: "Wallets"
auth:
  label: "Api-Key"
  name: "Api-Key"
  in: header
---

# Get wallets

<Endpoint method="GET" path="/v1/wallets" />

Retrieve a paginated list of wallets, with optional filtering by customer and blockchain network.

## Query Parameters

<ParamField name="customer_id" query="customer_id" type="string">
  Filter wallets by customer ID
</ParamField>

<ParamField name="page" query="page" type="integer" default="1">
  Page number for pagination
</ParamField>

<ParamField name="items_per_page" query="items_per_page" type="integer" default="10">
  Number of wallets per page
</ParamField>

<ParamField name="network" query="network" type="string">
  Filter wallets by blockchain network

  Possible values: `stellar`, `polygon`, `ethereum`, `base`, `solana`, `avalanche`, `sui`, `tron`
</ParamField>

## Responses

| Status | Description |
| --- | --- |
| `200` | List of wallets retrieved successfully |
| `400` | Bad request — invalid input or missing required fields |

### 200 response

<ResponseField name="data" type="object">

  <Expandable title="properties">
    <ResponseField name="items" type="object[]">

      <Expandable title="properties">
        <ResponseField name="id" type="string">
          Unique identifier for the wallet
        </ResponseField>

        <ResponseField name="customer_id" type="string">
          ID of the customer who owns this wallet
        </ResponseField>

        <ResponseField name="address" type="string">
          Blockchain wallet address
        </ResponseField>

        <ResponseField name="network" type="string">
          Blockchain network

          Possible values: `stellar`, `polygon`, `ethereum`, `base`, `solana`, `avalanche`, `sui`, `tron`
        </ResponseField>

        <ResponseField name="name" type="string,null">
          Wallet name or identifier
        </ResponseField>

        <ResponseField name="date_created" type="string">
          Timestamp when the wallet was created
        </ResponseField>

      </Expandable>
    </ResponseField>

    <ResponseField name="page" type="integer">
    </ResponseField>

    <ResponseField name="items_per_page" type="integer">
    </ResponseField>

    <ResponseField name="total_items" type="integer">
    </ResponseField>

    <ResponseField name="total_pages" type="integer">
    </ResponseField>

    <ResponseField name="has_next_page" type="boolean">
    </ResponseField>

    <ResponseField name="has_previous_page" type="boolean">
    </ResponseField>

  </Expandable>
</ResponseField>

<ResponseField name="error" type="string,null">
</ResponseField>

<ResponseExample>

```json title="Response"
{
  "data": {
    "items": [
      {
        "address": "GDZQAF4A2E5VZMMQVW7XG4FKWZ5KDSUEZF5VQBDQVM53TMU2YLE54NTX",
        "customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
        "date_created": "2025-10-30T12:18:34.484+00:00",
        "id": "2d52eb6d-4fac-44db-a225-d0e6aa13b0e3",
        "name": "my wallet",
        "network": "stellar"
      },
      {
        "address": "0xf95b56b0eba262df5461f4ec21e1db88d0a86c6f",
        "customer_id": "9e3cccad-e9ae-47a0-81ee-063af0159310",
        "date_created": "2025-10-14T21:07:30.836+00:00",
        "id": "f3c8e5c0-cdb4-4b27-91cb-078943316c8e",
        "name": "my wallet2",
        "network": "ethereum"
      }
    ],
    "page": 1,
    "items_per_page": 10,
    "total_items": 24,
    "total_pages": 3,
    "has_next_page": true,
    "has_previous_page": false
  },
  "error": null
}
```

</ResponseExample>

### 400 response

<ResponseField name="data" type="null">
</ResponseField>

<ResponseField name="error" type="string">
</ResponseField>

## Authorization

- **ApiKeyAuth**
